Package commoble.morered.api

# Interface WireConnector

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface WireConnector

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConnectToAdjacentWire(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos thisPos, net.minecraft.world.level.block.state.BlockState thisState, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, net.minecraft.core.Direction directionToWire)`
Behaviour interface that determines whether a given blockstate can connect to a specific internal face of a WireBlock.

## Method Details

### canConnectToAdjacentWire

boolean canConnectToAdjacentWire(@Nonnull net.minecraft.world.level.BlockGetter world, @Nonnull net.minecraft.core.BlockPos thisPos, @Nonnull net.minecraft.world.level.block.state.BlockState thisState, @Nonnull net.minecraft.core.BlockPos wirePos, @Nonnull net.minecraft.world.level.block.state.BlockState wireState, @Nonnull net.minecraft.core.Direction wireFace, @Nonnull net.minecraft.core.Direction directionToWire)
Behaviour interface that determines whether a given blockstate can connect to a specific internal face of a WireBlock. This may be called on either the server or client threads.

Parameters:
  `world` - The world
  `thisPos` - A position adjacent to the wire block, containing the blockstate we are wanting to be connecting the wire to
  `thisState` - The blockstate at thisPos we are wanting to connect the attached wire to. If this WireConnector has been registered to a specific Block instance, neighborState will be a blockstate belonging to that block.
  `wirePos` - The position of a wire block
  `wireState` - The blockstate of the wire block at the wirePos position
  `wireFace` - The interior face the wire in question is attached to (e.g. DOWN indicates a wire attached to the floor)
  `directionToWire` - The direction from the neighbor block to the wire block.
Returns:
  Whether the wire in the given face at the given position can be connected to the given neighboring block